> For the complete documentation index, see [llms.txt](https://docs.watchdata.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.watchdata.io/powered-api.md).

# Powered API

- [Transfers](https://docs.watchdata.io/powered-api/transfers.md): The Transfers API allows you get historical transactions for any address
- [watch\_getTransfers](https://docs.watchdata.io/powered-api/transfers/watch_gettransfers.md)
- [watch\_getTransfersByAddress](https://docs.watchdata.io/powered-api/transfers/watch_gettransfersbyaddress.md)
- [Parity](https://docs.watchdata.io/powered-api/parity.md): Access to OpenEthereum's Parity API which exposes additional Parity-only methods.
- [parity\_getBlockReceipts](https://docs.watchdata.io/powered-api/parity/parity_getblockreceipts.md): Access to OpenEthereum's Parity API which exposes additional Parity-only methods.
- [Trace](https://docs.watchdata.io/powered-api/trace.md): Deeper insight into transaction processing.
- [trace\_transaction](https://docs.watchdata.io/powered-api/trace/trace_transaction.md): Returns all traces of given transaction.
- [trace\_block](https://docs.watchdata.io/powered-api/trace/trace_block.md): Returns traces created at given block.
- [Blocks](https://docs.watchdata.io/powered-api/blocks.md): The Blocks API allows you to easily get blocks information.
- [watch\_getBlockNumberByTimestamp](https://docs.watchdata.io/powered-api/blocks/watch_getblocknumberbytimestamp.md)
- [Token API](https://docs.watchdata.io/powered-api/token-api.md): The Token API allows you to easily get token information.
- [watch\_getTokenBalances](https://docs.watchdata.io/powered-api/token-api/watch_gettokenbalances.md): Returns token balances for a specific address given a list of contracts.
- [watch\_getTokenMetadata](https://docs.watchdata.io/powered-api/token-api/watch_gettokenmetadata.md): This endpoint returns all the data about the token
- [Stats](https://docs.watchdata.io/powered-api/stats.md)
- [watch\_getStatsByDay](https://docs.watchdata.io/powered-api/stats/watch_getstatsbyday.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.watchdata.io/powered-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
